Package owl.translations.mastertheorem

## Class Rewriter.ToSafety

- java.lang.Object
- - owl.translations.mastertheorem.Rewriter.ToSafety

- All Implemented Interfaces:
    `Function<Formula,​Formula>`, `Visitor<Formula>`
  Enclosing class:
    Rewriter

      public static final class Rewriter.ToSafety
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ToSafety​(Iterable<? extends Formula.ModalOperator> x)` |
    `ToSafety​(Fixpoints fixpoints)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Formula` | `apply​(Formula formula)` |
    `Formula` | `visit​(FOperator fOperator)` |
    `Formula` | `visit​(GOperator gOperator)` |
    `Formula` | `visit​(MOperator mOperator)` |
    `Formula` | `visit​(ROperator rOperator)` |
    `Formula` | `visit​(UOperator uOperator)` |
    `Formula` | `visit​(WOperator wOperator)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

    - ### Methods inherited from interface owl.ltl.visitors.Visitor

      `visit, visit`

- - ### Constructor Detail

    - #### ToSafety

          public ToSafety​(Fixpoints fixpoints)

    - #### ToSafety

          public ToSafety​(Iterable<? extends Formula.ModalOperator> x)

  - ### Method Detail

    - #### apply

          public Formula apply​(Formula formula)

    - #### visit

          public Formula visit​(FOperator fOperator)

    - #### visit

          public Formula visit​(GOperator gOperator)

    - #### visit

          public Formula visit​(MOperator mOperator)

    - #### visit

          public Formula visit​(ROperator rOperator)

    - #### visit

          public Formula visit​(UOperator uOperator)

    - #### visit

          public Formula visit​(WOperator wOperator)